GET /api/v3/list/{listId}/share

Get the shared users and user groups for a list. You must have created the list and have SharedBillLists Create permission or have BillListAdministrator Manage permission or must have created the list and have SharedRecordsLists Create permission or have RecordsListAdministrator Manage permission

GetListShareV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
listId The list identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ShareResponse
Property Description Type
sharedUserGroups The list of user groups an item has been assigned to be shared with UserGroupChild[]
UserGroupChild properties
Property Description Type
userGroupId The user group identifier integer (int32)
userGroupName The user group name string
sharedUsers The list of individual users an item has been assigned to be shared with This does NOT take into account users that are in a shared user group UserChild[]
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
sharedWithEveryone True if the item is shared with everyone boolean
Example Response application/json
{  "sharedUserGroups": [
    {    "userGroupId": 1,    "userGroupName": "string"
  }
  ],  "sharedUsers": [
    {    "fullName": "string",    "userCode": "string",    "userId": 1
  }
  ],  "sharedWithEveryone": false
}